package pl.edu.icm.yadda.service2.user;

import org.apache.commons.cli.CommandLine;
import org.apache.commons.cli.HelpFormatter;
import org.apache.commons.cli.Options;

/**
 * UserData migrator helper.
 * @author mhorst
 *
 */
public class UserDataMigratorHelper {

	protected static void setSystemProperty(Options options, CommandLine cl, 
			String paramName, String propertyName) {
		if (cl.hasOption(paramName)) {
			System.setProperty(propertyName, cl.getOptionValue(paramName));
			return;
		} else {
			System.err.println("required parameter is missing: " + paramName);
			HelpFormatter formatter = new HelpFormatter();
			formatter.printHelp("java " + UserDataMigrator.class.getCanonicalName(), options);
			System.exit(1);
		}
	}
	
}
