package pl.edu.icm.yadda.service2.user.hashing;

/**
 * Password hasher simply passing through source password.
 * @author mhorst
 *
 */
public class PassthroughPasswordHasher implements IPasswordHasher {

	/* (non-Javadoc)
	 * @see pl.edu.icm.yadda.service2.user.hashing.IPasswordHasher#hash(java.lang.String)
	 */
	@Override
	public String hash(String source) {
		return source;
	}

	/* (non-Javadoc)
	 * @see pl.edu.icm.yadda.service2.user.hashing.IPasswordHasher#validate(java.lang.String, java.lang.String)
	 */
	@Override
	public boolean validate(String hashed, String candidate) {
		if (candidate!=null) {
			return candidate.equals(hashed);
		} else {
			return hashed==null;
		}
	}

}
